// Copyright GreenKeeper Software 2005

#import <Cocoa/Cocoa.h>
#import <Log.h>

// Responsible for connecting the Log model to the interface
@interface LogController : NSObject {

	// Interface components
	IBOutlet NSTextView *logView;
    IBOutlet NSWindow *logWindow;
	
	// Local variables
	NSTextStorage *logStorage;
	
	// The model
	Log *log;
}

// Called when user selects "Display Log" from the menu
- (IBAction)displayLog:(id)sender;

@end
